aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openexr/APKBUILD
diff options
context:
space:
mode:
authorLinux User <se@alpine-desktop.my.domain>2014-10-16 19:52:25 +0400
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-17 13:52:16 +0000
commit9085b73f09d41af164193a3e0b5e22fcce80d503 (patch)
tree5d2e5fa503bf2540ddeed992a4aba407ffa24649 /testing/openexr/APKBUILD
parent276617c77708f50d68ba9b4c87a866399ddd7250 (diff)
downloadaports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.gz
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.bz2
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.xz
Added KDE core packages
Diffstat (limited to 'testing/openexr/APKBUILD')
-rw-r--r--testing/openexr/APKBUILD46
1 files changed, 46 insertions, 0 deletions
diff --git a/testing/openexr/APKBUILD b/testing/openexr/APKBUILD
new file mode 100644
index 0000000000..603a163d28
--- /dev/null
+++ b/testing/openexr/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor:
+# Maintainer:
+pkgname=openexr
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="An high dynamic-range image file format library"
+url="http://www.openexr.com/"
+arch="all"
+license="BSD"
+depends=
+depends_dev="ilmbase-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://download.savannah.nongnu.org/releases/openexr/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ -mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 LICENSE \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+ find "$pkgdir" -name '*.la' -delete
+}
+
+md5sums="33735d37d2ee01c6d8fbd0df94fb8b43 openexr-2.1.0.tar.gz"
+sha256sums="54486b454073c1dcb5ae9892cf0f730ffefe62f38176325281505093fd218a14 openexr-2.1.0.tar.gz"
+sha512sums="d69924331c3392b8063229391414bb90f16ce317c76cfffe5fe0fcbb25e576f6ace8320b51c2a9987fee912cedd8e69116d4b49ba716b4a5f011131a81815403 openexr-2.1.0.tar.gz"